WelCome

BlackBerry DBViewer Plus
Cellica Software Services
http://www.cellica.com


Introduction

  • Introduction

Being away from your office does not mean not having the access to your data. Consider the scenario when you want to carry a copy of the database on your Blackberry device, or want to update the data on your BlackBerry device and later on use that data to update the contents of the database when you are at your computer. Now it is possible with the BlackBerry Database Viewer Plus.

Blackberry Database Viewer Plus allows you to be more productive by allowing you to view and update the database contents on your BlackBerry. When you connect the BlackBerry to your computer it will synchronize the data with the database. It synchronizes with Microsoft Access, Microsoft Excel, and any ODBC Compliant database like Oracle, SQL Server, etc.

The software package consists of two softwares: BlackBerry DBViewer Plus Desktop which runs on Microsoft Windows , and BlackBerry DBViewer Plus which run on the BlackBerry device. You will use the desktop software to send database contents to the BlackBerry device as well as receive the database contents from the BlackBerry device. BlackBerry DBViewer Plus will display the contents of the database and will also allow you to add, delete or modify those contents. Later on you can use USB Cable to synchronize the contents between the database and BlackBerry device.

  • Features

Database Viewer Plus has features, which helps you to become mobile with your database.

Export Desktop database to BlackBerry(Desktop to BlackBerry): Transfer any desktop database to Blackberry. This is the default setting .

Import data from BlackBerry to Desktop database(BlackBerry to Desktop): Transfer BlackBerry side database to original desktop database. Use this option after updating the database on BlackBerry and when you want to reflect the updates in your database.

    1. Supported Databases: MS Access, MS Excel, Oracle, SQL Server, FoxPro, dBase, and Any ODBC Compliant Database.
    2. View and sync any database with BlackBerry.
    3. Modify database contents on BlackBerry and reflect them to database.
    4. Make a phone call for the selected field's numeric contents, which will be treated as a phone number.
    5. Apply Filters, Sort the fields.
    6. Apply any SQL Select queries on database to purify records.
    7. Export database records to text files with or with out field names.
    8. View database tables: all at the same time or one record at a time.
    9. Find and Find again option to search a record.

    10. Perform Cut/Copy/Paste Edit operations in Grid View using the shortcut keys.

    11. Easy navigation through database in both Record and Grid view using shortcut keys.


WelCome

  • Installation

You have downloaded BBDBViewerPlusSetup.exe file. Double Click on this Setup file, This Setup program will install the application in the directory path you mentioned. Shortcut for Desktop side application and User Guide will be available on your desktop. In installation folder BBDBViewer Plus you will have 2 folders and one Readme.txt file. Two folders are Desktop DBViewer Plus and BlackBerry DBViewer Plus.

Desktop DBViewer Plus folder contains DBViewerPlus.exe and User Guide.chm

Shortcut for Desktop application DBViewer Plus.exe is available on your desktop.

BlackBerry DBViewer Plus folder contains DBViewerPlus.alx and DBViewer.cod file.

Use Application Loader available with your BlackBerry Desktop Manager to install DBViewerPlus.alx file to your BlackBerry device.

Now you are ready to use BlackBerry DBViewer Plus software .

Use BlackBerry DBViewer Plus Desktop software to send and receive data to and from BlackBerry .

Use BlackBerry side DBViewer Plus application to view and modify(Add/Update/Delete) records.

P.S : Data will be transferred using USB Database cable and Both Desktop and BlackBerry side DBViewer Plus software must be running while transferring data.


Desktop DBViewerPlus

  • Using Desktop Application

This section will explain how to use BlackBerry Database Viewer Plus desktop software with an example.

Suppose you have one Mircosoft Access database NWIND.mdb having tables named Employee, Customers, and Products in it.

You wanted to work with these databases on BlackBerry.

Let's see how it can be done?

Run BlackBerry DBViewerPlus from the shortcut available on desktop or Start Menu start->Programs->BlackBerry DBViewerPlus->BlackBerry DBViewerPlus.

You will get the following screen.

Fig. 1. DBViewerPlus

You can transfer your database from desktop to BlackBerry and vice versa.

  • Desktop to BlackBerry

To transfer any database to BlackBerry , select Sync type “Desktop to BlackBerry” option. This is the default synchronization setting.

Fig. 2. Desktop to BlackBerry

  • Database Selection

You will get above screen. Now Click on Browse button to select file of type: MS Access, Excel, FoxPro, dBase or click on popup provided to select database via Database Source (DSN) such as Oracle, MySQL, SQL Server . You will see list of available Database Source Name. You can manage DSN via ODBC Data Source Manager in Windows Control Panel.
For now, click on Browse button. You will see screen as follows.

Fig 3. Database Selection

Select Files of type such as Microsoft Access Database(*.mdb), Excel Files(*.xls), or Foxpro/dbase Database(*.dbf) files and then select File name of your choice, for example NWIND.mdb, and click Open. Database Viewer will display tables in NWIND.mdb as below.

Fig. 4. Build Query Dialog

  • Excel Files

Note: When you select an Excel file using Browse button, you will get a dialog prompt as

Fig. 5. Select Excel View Dialog

Here, when you select "View As Excel Worksheet", contents will be shown similar to that of Excel Worksheet. Where as, when you select "View as ODBC Database", it will be treated as a database. In this case customized SQL queries will work on your Spreadsheet.

To manually apply filters and sort orders click on "Filters" and "Sort Order" buttons.

  • Applying Filters

In above figure, Fig. 4 , click on "Filters" button, you will see the following filter dialog:

Fig. 6. Apply Filter

Here, you can apply as many filters as you want. Initially, one filter is shown, by default. Click on "Add" button to have more filters. Select check marks to those filters you want, select field from "Available Fields" popup, select operator from "Filter Operator" popup and click on "Filter Value" edit box and enter value which you want as a filter condition value.

Please remember, filter values must be the same data type as the data type of selected fields.

If you selected numeric field, say ID, then the filter value must be numeric, say 35. For character data type filter value must be included in single quotes ('). For date/time fields, filter value must be in # format. If you select filter operator IS then the filter value must be NULL or NOT NULL. If you select filter operator like then filter values must be a pattern included in the single quotes.

Here are some examples of filters.

PhoneNO IS NULL
Name IS NOT NULL
name like 'a%' : Name starting with letter a
name = 'John'
amount >= 2000
birthdate = #1/1/1978#
time >= #2:10#
birthdate >= '1-jan-1978'

 Note: Using # for filter conditions values may change depending on which database you are using. MS Access, Excel allows you to use # where as Oracle, SQL Server allows to use single quote (') for date filter values .

  • Applying Sort Orders

In Fig. 4 , click on the "Sort Order" button, you will see the following sort order dialog:

Fig. 7. Apply Sort Order

Select check mark for those you want to apply sort order. Select sort order as "Ascending" or "Descending", select field from "Available Fields" popup. To add more filters, simply click on "Add" button.

  • Content Preview

    Press Preview button to access the records based on query available in query window. You will see as follows :

    Fig. 8. Preview & Send Database to BlackBerry

    After selecting and previewing the desired database contents, simply press the Send button to transfer the selected data to the connected BlackBerry device. After successful transfer of the data, it will show the related message. If the BlackBerry device is not connected properly via the USB cable then, it will show instructional message.

    Please follow the important instructions regarding the transfer of data:

    1. Make sure that the USB cable is properly connected between both your computer and your BlackBerry device.
    2. You can start either of the Database Viewer Plus software (that is! desktop or device side) in any order.
    3. Select the desired table(s) from the selected database and see the preview, using the desktop software.
    4. Now, click the Send button to actually transfer the data to the connected BlackBerry device.
    5. Wait for the message to be diaplayed. And hence, do not close desktop application unless the device side BlackBerry Database Viewer Plus application displays the proper message box of success or failure of data transfer.

    Please note that,

    • During the data transfer, if there is not enough free space available on your BlackBerry handheld device, then the related error message will be displayed on the desktop side, mean while the device application will automatically close down, indicating the failure of data import process.
    • You can transfer as many databases as you can, in one such execution session.
    • The database name should be maximum of 10 characters long, any extra characters will be truncated.

    • BlackBerry to Desktop

    This option is to transfer BlackBerry database to original desktop database. This will overwrite your Desktop database with the BlackBerry database.

    Fig. 9. BlackBerry to Desktop

    • Select BlackBerry Side Database

    Now select database name from the popup in front of the label “Select Device Database”. This list is the databases available in BlackBerry DBViewer Plus.

    Fig. 10. Select BlackBerry side database

    After selecting the table name which you want overwrite to desktop database,you will get the following screen.

    • Receive data from BlackBerry

    Press Receive Button to get device side database. This will overwrite Desktop database with the contents on the BlackBerry side database

    Fig. 11. Receive data from BlackBerry

    • Taking Backup

    User need not to take explicit backup of particular database. "Desktop to BlackBerry" does not have a risk of losing desktop data, but for "BlackBerry to Desktop", there are chances of losing valuable desktop data. While syncing "BlackBerry to Desktop", DBViewerPlus takes backup of desktop data before transferring BlackBerry data into it. Backup of last four syncing is stored with DBViewerPlus. Refer "Restore Data" step for putting back this backup into original desktop database.

    • Restoring Data

    First select "Device Database Name". In left pane of this dialog, you will see the current contents of desktop

    Fig. 12. Restore data

    There are backup contents of last four syncing. Select appropriate backup from popup list. In right pane, you will see the backup contents. If you feel that you have lost some of your original data from original desktop database (left pane), select appropriate backup and click on "Restore" button. This will put backup data into original desktop database.


Handheld DBViewerPlus

  • Startup

Now we will see, how to get and view the desktop database in BlackBerry DBViewer Plus.

After successful installation of "BlackBerry DBViewer Plus , on your BlackBerry select Application->Database Viewer Plus having [image] icon and click on it and you will see screen something like below:

Fig. 1 Registration Form

Enter the registration key, you got from www.cellica.com, into this Register dialog. Or just press Enter key to bypass it, which means that you are using DBViewer Plus application as an evaluation copy. You can invoke the Register dialog by selecting the Register menu option of the same screen.

Note that, DBViewer Plus has one day full evaluation and later allows to work with 7 records. After registration, application will allow to work with the complete database.

Now the DBViewer Plus is ready for receiving and sending data for the selected desktop database, provided the USB cable is properly connected.
While data transfer is going on, the progress is shown in the status bar at the bottom of the screen. Mean while you won't need to wait for transfer process to be completed, you can simply do your work with DBViewer Plus with available databases. DBViewer Plus will acknowledge you about the success or failure of data transfer by showing the proper message.

Note that, DBViewer Plus won't allow you to acces the database one which is currently transferring.

  • View Database contents

Fig. 2 View Database Content

Select one database name from the available databases and click the trackwheel to activate the menu. Choose the Open menu option, to view the selected database contents. Or you can use Enter key to view the selected database.

The database contents can be viewed in two modes: (1) Grid (2) Record. They are shown as:

Fig. 3 Grid View Fig. 4 Record View

  • Grid View

Fig. 5 Grid View with Menu options

In Grid View, you will able to view database contents in Column view form. This has lots of features.

There are various useful menu options on this screen as:

Detail View You can see the full contents of the selected field in the Detail View screen. Add Record:Add new record using this menu option. You can use A key as a shortcut key for this menu.

Delete Record:Delete the selected record using this menu option. You can use DEL key as a shortcut key for this menu.

Edit Field:Edit the selected record using this menu option. You can use Enter key as a shortcut key for this menu.

Find & Find Next: are discussed in the next topic entitled as Search Contents.
Goto Record: After selecting this menu option, it will show you the dialog that allows you to enter the record number where you want to jump. This results into jumping to the specified record number.
Record View: You can shift the Single Record view. You can use ALT+Enter key for this.
Call xxx: You can even make a phone call for the presently selected field's numeric contents, which will be treated as phone number.

Copy/Paste/Erase/Undo Field contents directly on Grid View:

This will allow you to easily copy/paste/delete complete contents of selected field.

Cut: You can cut the contents of current select field using SHIFT+Delete keys

Copy : You can copy the contents of current select field using ALT+Click keys.

Paste: You can paste copied data to particular selected field using SHIFT+Click keys.

Erase: You can erase contents of current select field using ALT+Delete.

Undo: Undo last operation (Cut, Paste or Edit).

Note that, when you finished with a phone call, either press Escape key or ALT+Escape keys to come back to BlackBerry Database Viewer Plus.
Also note that, all the common menu options of the Grid view screen, will behave in the same manner in Record View also.

  • Detail View

This screen will show you all the contents of the selected field. It also facilitates you with Find and Find Next menu options to search the specified string to be searched within this field only. At each record found, it shows the found location in the status bar at the bottom of the screen.
This screen is shown as:

Fig. 6 Detail View

  • Add Record

When you use Add Record option, New record will be added to your database at the end of the Grid View and Focus will be set on the first column of the newly added record. Use Edit menu ( Enter key) to edit value in that field. Similarly add data to other columns of this record.

  • Edit Record

Use this option to edit current field. You need this when add new record and want to update already exisiting records. You can use Enter key for same thing.

  • Search Contents

To search a particular string within the selected database, you can use "Find" and "Find Next" menu options available in both "Grid" and "Single Record" view.

Fig. 7 Search Content

Here while searching you need to enter a search string. You can search within all fields of a table of within a selected single field. Search may also be case sensitive. Field begins with... option searches specified string at the start of a field. You can search for numeric, string, date, time or any other type of field depending on its display format. Use Find Next menu option for next search. Use ALT+S to get this Search Dialog box. Use >> key to search next item.

  • Customization

Record View: You can set record view option which will be get into effect while opening the selected database.
Date Format: You can customize the way date fields are shown.
Time Format: You can customize the way time fields are shown.
Decimal Places: You can even set the number of decimal places to be displayed, from Decimal Places option.
Grid Column Width: You can also resize the width of the column in grid view, from Grid Column Width option.
Select any one option to customize and choose the Change option menu option to change it.

The Preference screen is shown as:

Fig. 8 Preferences Form

Please note that, if you forget the pasword, there is no way to recover it. hence, it should be remebered.

  • Keypad Interface

Screen:

HomeScreen

Keystroke

Action Taken

Enter

Open the selected database.

Delete

Prompt to Delete the selected database.

ALT+P

Jump to Preference screen.

Screen:

GridScreen, RecordViewScreen

Keystroke

Action Taken

ALT+Delete

Erase selected cell contents.

SHIFT+Delete

Cut selected cell contents.

ALT+Click

Copy selected cell contents.

SHIFT+Click

Paste selected cell contents.

ALT+Z

Undo last operation (Cut, Paste or Edit).

Enter

Edit selected cell contents.

ALT+Enter

Jump to other view screen.

(i.e. GridScreen to RecordViewScreen and vice-a-versa.)

Escape

Close view screen.

ALT+D

Jump to Detail view screen.

ALT+P

Jump to Preference screen.

ALT+G

Pop up Goto dialog.

1

Move to First record.

3

Move to Previous record.

9

Move to Next record.

7

Move to Last record.

4

Move to First column.

6

Move to Last column.

ALT+S

Pop up Search dialog.

>> (Next)

Search Next item.

A

Append new record.

Delete

Prompt to Delete selected record.

Screen:

DetailViewScreen

Keystroke

Action Taken

ALT+S

Pop up Search dialog.

>> (Next)

Search Next item.

ALT+P

Jump to Preference screen.


Database Viewer for BlackBerry: Frequently Asked Questions (FAQs)

BlackBerrry Database Viewer Plus : Frequently Asked Questions
Frequently Asked Questions (FAQ) are questions that our customers routinely ask us or email about. We divided FAQs in two different sections.

(For more queries, refer product documentation and tips.)

BlackBerry

  1. I am having problem installing BlackBerry component of Database Viewer Plus software. I have downloaded the BBDBViewerPlusSetup.exe for installation. After that, I've run the Application Loader of BlackBerry Desktop Manager. But BBDBViewer Plus will not install on the BlackBerry device. What should I do to install it?

    First of all, run the downloaded setup file & install the application at the suitable location on local hard disk. Now, run the Desktop Manager (note that, it should be BlackBerry Desktop Manager 4.0), & follow the on-screen instructions. Specify the path at which you have already installed the BlackBerry DBViewerPlus application, at this path there is folder BlackBerry DBViewer Plus , as the response to the Add... button. Select the dbviewerplus.alx file. Once again follow the rest of the on-screen instructions.

  2. Is evaluation copy is full flesh version? Are any feature disable in evaluation?
    Or
    What are limitations in evalution version?

    Evaluation copy is full flesh version. Only limitation is that, you can use it with complete database for one day later you are allowed to access/view 7 records only for each database.

  3. I put in the registration key to the BlackBerry Database Viewer Plus application and it says invalid registration key.

    We generate the registration key based on your "Device ID ( i.e. PIN)". It is case sensitive. The Register dialog appears each time application starts, if you are unregistered user. You can even invoke the same Register dialog by selecting the Register menu option from the home screen of Database Viewer Plus application. On BlackBerry handheld, you can register Database Viewer Plus at any time by entering the registration key that you have got & just press the Enter key.

  4. I have tried to transfer the desktop data to my BlackBerry handheld, but nothing is happening, what to do?

    If you are not having BlackBerry OS 4.0 installed on your device, then it does not show you the status bar at the bottom of the screen. This status bar actually shows the progress of "data-transfer" process. So, we recommand you to install BlackBerry OS 4.0 on your handheld to get the best effect of BlackBerry Database Viewer Plus. You have to wait until it shows you the proper message on both of the device & desktop applications.

  5. I have tried to transfer the desktop data to my BlackBerry handheld, but after some time the BlackBerry Database Viewer Plus application closed down, what's wrong with it?

    This situation is occured when you don't have enough free space available on your deivce. Under such situation, the device shuts down itself. Nothing is wrong at all. At the same time, the proper error message will be displayed on the desktop application, which describes the situation. Make some space available on your BlackBerry device by either delting the old databases from this application, or delete the old e-mails, entries of MemoPad etc. And, rerun the both the applications & do the same procedure again.

  6. I have entered the data in any of the Find dialog, Goto dialog, or Register dialog & then clicked the trackwheel, however the entered data is not accepted?

    Just press the Enter key. And, it will work fine.

  7. I could not see the entire contents of the selected field. What can I do?

    In Grid View, you can change the Column Width, by changing the Grid Column Width option in Preferences, so as to see more contents of the selected field. However, in order to view the entire contents for the selected field, you can select the Detail View menu option from either Record View or Grid View screen.

Desktop

  1. I have tried to transfer the desktop data to my BlackBerry handheld, but nothing is happening, what to do?

    You have to wait until all the contents of the selected database will be transferred to your BlackBerry device. If any problem occured during this process, then proper error message will be displayed. Else, the message indicating the success of data tranfer, will be shown.


Support

  • Supported Data Types

Currently Pocket Database Viewer Plus supports following data types.

  1. Memo, Char, VarChar, VarChar2
  2. Number of type: Byte, Decimal, Integer, Long Integer, Single, Real, Float, Double
  3. GUID
  4. Date/Time
  5. AutoNumber of type: Long Integer
  6. Yes/No
  7. Hyperlink
  8. Currency

  • Contact US

You can refer to following email addresses to contact us:

  • Product support

    • support@cellica.com
  • Sales inquiries

    • sales@cellica.com
  • Custom Software

    • customsoftware@cellica.com